.btn {
    border: none;
    outline: none;
    cursor: pointer;
    min-height: rem(50);
    font-weight: 500;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(8) rem(36);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: rem(8);

    span {
  //      top: rem(2);
        position: relative;
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
        flex-shrink: 0;
    }

    b {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(18);
        margin-right: rem(6);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(18);
        line-height: rem(26);
        min-height: rem(64);
        border-radius: rem(10);
    }
}

.btn-white {
    fill: $dark;
    color: $dark;
    background: $white;

    &:hover {
        fill: $white;
        color: $white;
        background: $blue;
        text-decoration: none;
        transition: .25s;
    }

    &:active {
        background: $white;
    }
}

.btn-blue {
    fill: $white;
    color: $white;
    background: linear-gradient(97.57deg, #358CFF 0%, #006DFF 100%);

    &:hover {
        fill: $white;
        color: $white;
        background: $blue;
    }

    &:active {
        background: #006DFF;
    }
}

.btn-blue-light {
    fill: $white;
    color: $white;
    background: #50A1DC;
    transition: .25s;

    &:hover {
        fill: $white;
        color: $white;
        background: #368ede;
        transition: .25s;
    }

    &:active {
        background: #50A1DC;
    }
}

.btn-gray {
    color: $white;
    background: rgba(255, 255, 255, 0.35);

    &:hover {
        color: $white;
        background: rgba(255, 255, 255, 0.45);
    }

    &:active {
        background: rgba(255, 255, 255, 0.35);
    }
}

.btn-light {
    color: $dark;
    background: #F4F5F6;

    &:hover {
        color: $dark;
        background: #e8e8e8;
    }

    &:active {
        background: #F4F5F6;
    }
}

.btn-blur {
    color: $white;
    stroke: $white;
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(2px);

    &:hover {
        color: $white;
        stroke: $white;
    }
}

.btn-shadow {
    box-shadow: 0px 8px 48px rgba(35, 32, 30, 0.08);
}

.btn-xs {
    min-height: rem(32);
    border-radius: 6px;
    font-size: rem(14);
    line-height: rem(20);
    padding: rem(4) rem(12);

    i {
        height: rem(18);
    }

    @include media-breakpoint-up(md) {
        min-height: rem(40);
    }
}

.btn-sm {
    font-size: rem(16);
    min-height: rem(40);
    border-radius: rem(8);
    padding: rem(4) rem(20);
}

.btn-md {
    min-height: rem(48);
    border-radius: rem(10);
    padding: rem(4) rem(28);
    flex-shrink: 0;

    &.btn-icon {
        width: rem(45);
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(48);
        font-size: rem(16);
        line-height: rem(24);

        &.btn-icon {
            width: rem(45);
        }
    }
}

.btn-lg {
    min-height: rem(45);
    border-radius: rem(10);
    padding: rem(4) rem(28);
    flex-shrink: 0;

    &.btn-icon {
        width: rem(45);
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(55);

        &.btn-icon {
            width: rem(65);
        }
    }
}


.btn-nav {
    border: none;
    outline: none;
    stroke: $dark;
    font-size: 0;
    line-height: 0;
    width: rem(48);
    height: rem(48);
    cursor: pointer;
    border-radius: 50%;
    background: $gray;
    box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .3s;

    &:hover {
        stroke: $white;
        background: $blue;
    }

    &:active {
        stroke: $dark;
        box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);
    }

    i {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        height: rem(24);
        display: inline-block;
    }


    &.swiper-button-disabled {
        cursor: default;
        stroke: #ccc;
        opacity: 0.5;

        &:hover {
            box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);
        }
    }

}
